Bug 217558 - CVE-2006-5868 Insufficient boundary check in ImageMagick's SGIDecode()
CVE-2006-5868 Insufficient boundary check in ImageMagick's SGIDecode()
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ImageMagick (Show other bugs)
4.4
All Linux
low Severity low
: ---
: ---
Assigned To: Norm Murray
http://www.debian.org/security/2006/d...
source=debian,reported=20061128,publi...
: Security
Depends On:
Blocks: CVE-2006-5868 220186
  Show dependency treegraph
 
Reported: 2006-11-28 11:57 EST by Lubomir Kundrak
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2007-0015
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-15 11:33:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Part that fixes CVE-2006-5868 issue, from debian (1012 bytes, patch)
2006-11-28 11:57 EST, Lubomir Kundrak
no flags Details | Diff

  None (edit)
Description Lubomir Kundrak 2006-11-28 11:57:32 EST
Description of problem:

Debian team issued an ImageMagick update DSA-1213-1 where they reportedly fixed
an issue in SGI image handling routine.

See their Changelog entry:
  * Fix insufficient boundary checks in SGIDecode() (discovered by Daniel
    Kobras)
And excerpt from their advisory:
    Daniel Kobras discovered that Imagemagick is vulnerable to buffer
    overflows in the module for SGI images.

Version-Release number of selected component (if applicable):

RHEL2.1-RHEL4, FC5, FC6

Additional info:

I attach relevant part of the debian patch. Please have a look at it.
Comment 1 Lubomir Kundrak 2006-11-28 11:57:32 EST
Created attachment 142305 [details]
Part that fixes CVE-2006-5868 issue, from debian
Comment 3 Norm Murray 2006-11-30 02:45:46 EST
For the second hunk in this I think the for loop should be initializing i
otherwise there's a code path which leaves i entirely uninitialzed before being
referenced, and in the other case we're not doing all the work we want to...
since it could still be the failure of the previous loop. 
Comment 9 Red Hat Bugzilla 2007-02-15 11:33:52 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0015.html

Note You need to log in before you can comment on or make changes to this bug.